%global		uzblcommit	afc0f873e

Name:		uzbl
Summary:	Lightweight WebKit browser following the UNIX philosophy
Group:		Applications/Internet
Version:	0
Release:	0.18.20100626git%{uzblcommit}%{?dist}
License:	GPLv3
URL:		http://www.uzbl.org
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git clone git://github.com/Dieterbe/uzbl.git
#  cd uzbl
#  export uzblcommit=afc0f873e
#  git archive --format tar --prefix uzbl-${uzblcommit}/ ${uzblcommit} |\
#      gzip -c > ../uzbl-${uzblcommit}.tar.gz
Source0:	%{name}-%{uzblcommit}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-makefile.patch
# Security bug (RHBZ#621965)
Patch1:		0001-Don-t-shell-interpret-SELECTED_URI-fixes-FS-240.patch
Patch2:		0001-Fix-crash-on-Open-Image-in-New-Window-FS-231.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	webkitgtk-devel
BuildRequires:	desktop-file-utils

# New users probably want a tabbed browser
Requires:	uzbl-tabbed = %{version}-%{release}

# XXX: Be aware that script dependencies need enumerated here
# Dialog for bookmarks
Requires:	zenity
# Communication
Requires:	socat
# scripts/formfiller.sh (dmenu also used by loading history/bookmarks)
Requires:	dmenu
Requires:	xterm
# scripts/auth.py
Requires:	pygtk2
# scripts/download.sh
Requires:	wget
# Default config
Requires:	xclip

%description
Uzbl is a lightweight web browser based on WebKit/Gtk+.  Uzbl follows
the UNIX philosophy - "Write programs that do one thing and do it
well. Write programs to work together. Write programs to handle text
streams, because that is a universal interface."

%package core
Summary:	Core component of Uzbl
Group:		Applications/Internet

%description core
The core component to Uzbl. This part does little on its own. For a more
complete browsing experience, see the uzbl package.

%package browser
Summary:	A complete browser using Uzbl
Group:		Applications/Internet
Requires:	%{name}-core = %{version}-%{release}

%description browser
A complete browsing experience based on Uzbl's core component.

%package tabbed
Summary:	Tabbed interface to Uzbl
Group:		Applications/Internet
Requires:	%{name}-browser = %{version}-%{release}
Requires:	pygtk2

%description tabbed
Uzbl-tabbed wraps around uzbl-browser and multiplexes it. It spawns
one window containing multiple tabs, each tab containing a full
embedded uzbl-browser Ideal as a quick and simple solution to manage
multiple uzbl-browser instances without getting lost.


%prep
%setup -q -n %{name}-%{uzblcommit}
%patch0 -p1
%patch1 -p1
%patch2 -p1

mkdir -p icons/hicolor/32x32/apps
mv examples/data/uzbl.png icons/hicolor/32x32/apps


%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} PREFIX=%{_prefix} install

cp -pr icons %{buildroot}%{_datadir}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
%{SOURCE1}


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :


%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-, root, root, -)
%{_datadir}/icons/*/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/examples/config/
%{_datadir}/%{name}/examples/data/

%files core
%defattr(-, root, root, -)
%doc AUTHORS LICENSE README docs/* src/config.h
%{_bindir}/uzbl-core

%files browser
%defattr(-, root, root, -)
%{_bindir}/uzbl-browser
%{_bindir}/uzbl-cookie-daemon
%{_bindir}/uzbl-event-manager

%files tabbed
%defattr(-, root, root, -)
%{_bindir}/uzbl-tabbed

%changelog
* Mon Sep  6 2010 Daiki Ueno <dueno@redhat.com> - 0-0.18.20100626gitafc0f873e
- add patch to avoid crash on "Open Image in New Window" (#584733)

* Fri Aug 20 2010 Ben Boeckel <mathstuf@gmail.com> - 0-0.17.20100626gitafc0f873e
- Add Requires: on xclip

* Fri Aug 06 2010 Ben Boeckel <mathstuf@gmail.com> - 0-0.16.20100626gitafc0f873e
- Add patch for shell escaping bug (BZ#621965)

* Sat Jul 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0-0.15.20100626gitafc0f873e
- Rebuild against webkitgtk

* Wed Jun 30 2010 Daiki Ueno <dueno@redhat.com> - 0-0.14.20100626gitafc0f873e
- new upstream snapshot.

* Mon May 31 2010 Daiki Ueno <dueno@redhat.com> - 0-0.13.20100410gitec473e124
- new upstream snapshot.

* Wed Apr 14 2010 Ben Boeckel <MathStuf@gmail.com> - 0-0.12.20100405gitae15d257a
- Split out core and browser subpackages
- Enumerate dependencies of the default scripts
- Minor reorganization

* Thu Apr  8 2010 Daiki Ueno <dueno@redhat.com> - 0-0.11.20100405gitae15d257a
- don't strip uzbl-core with the install command (closes #580250).

* Mon Apr  5 2010 Daiki Ueno <ueno@unixuser.org> - 0-0.10.20100405gitae15d257a
- split out uzbl-tabbed as a seperate package to avoid dependency on
  pygtk2 (partially merged a patch from Ben Boeckel <mathstuf@gmail.com>).
- new upstream snapshot.

* Fri Mar 26 2010 Daiki Ueno <ueno@unixuser.org> - 0-0.9.20100221gitabbffe5c3
- add dist number to Release.

* Fri Mar 19 2010 Daiki Ueno <ueno@unixuser.org> - 0-0.8.20100221gitabbffe5c3
- use the macro "global" instead of "define".

* Thu Mar 18 2010 Daiki Ueno <ueno@unixuser.org> - 0-0.7.20100221gitabbffe5c3
- copy files under /usr/share/uzbl/ only once.

* Tue Mar 16 2010 Daiki Ueno <ueno@unixuser.org> - 0-0.6.20100221gitabbffe5c3
- preserve timestamp of installed files.
- include scriptlets for icon cache.
- claim ownership of the directory "uzbl" under datadir.

* Sat Mar 13 2010 Daiki Ueno <ueno@unixuser.org> - 0-0.5.20100221gitabbffe5c3
- install 32x32 icon under the standard icon path.
- fix the executable name in uzbl.desktop.
- prevent re-compilation on "make install".
- install examples/* under /usr/share/uzbl/examples, since the path is
  hard-coded in bundled scripts.

* Mon Mar  8 2010 Daiki Ueno <ueno@unixuser.org> - 0-0.4.20100221gitabbffe5c3
- make sure support scripts are not executable.

* Sun Mar  7 2010 Daiki Ueno <ueno@unixuser.org> - 0-0.3.20100221gitabbffe5c3
- use LDFLAGS from x11.pc to follow the F-13 DSO linking change.

* Sun Mar  7 2010 Daiki Ueno <ueno@unixuser.org> - 0-0.2.20100221gitabbffe5c3
- don't use Epoch.
- make the build log more verbose.
- don't use the makeinstall macro and use _prefix macro.
- include uzbl.desktop.
- install all document files under /usr/share/doc/uzbl-0.

* Sun Feb 21 2010 Daiki Ueno <ueno@unixuser.org> - 1:0-0.1.20100221gitabbffe5c3
- initial packaging for fedora.
